Package org.eclipse.cdt.core.templateengine

# Class TemplateInfo

java.lang.Object
org.eclipse.cdt.core.templateengine.TemplateInfo

Direct Known Subclasses:
  `TemplateInfo2`

public class TemplateInfo extends Object
TemplateInfo class contains the template information like wizard ID, pattern, path and project type.

## Constructor Summary

Constructors
Constructor
Description
`TemplateInfo(String templateId, String projectTypeId, String filterPattern, String templatePath, String pluginId, Set<String> toolChainIdSet, Object extraPagesProvider, boolean isCategory)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Checks whether two TemplateInfo object are equal.
`List<?>`
`getConfigurations()`
`Object`
`getExtraPagesProvider()`
`String`
`getFilterPattern()`
`String`
`getIcon()`
`String`
`getPluginId()`
`String`
`getProjectType()`
`String`
`getTemplateId()`
`String`
`getTemplatePath()`
`String[]`
`getToolChainIds()`
`int`
`hashCode()`
`boolean`
`isCategory()`
`void`
`setConfigurations(List<?> configs)`
`void`
`setToolChainSet(Set<String> toolChainIdSet)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TemplateInfo

public TemplateInfo(String templateId, String projectTypeId, String filterPattern, String templatePath, String pluginId, Set<String> toolChainIdSet, Object extraPagesProvider, boolean isCategory)

Parameters:
  `templateId` -
  `projectTypeId` -
  `filterPattern` -
  `templatePath` -
  `pluginId` -
  `toolChainIdSet` -
  `extraPagesProvider` - an IPagesAfterTemplateSelectionProvider or null
  `isCategory` -

## Method Details

### getPluginId

public String getPluginId()

Returns:
  the plug-in id

### getTemplateId

public String getTemplateId()

Returns:
  the template id.

### getTemplatePath

public String getTemplatePath()

Returns:
  the template path

### getFilterPattern

public String getFilterPattern()

Returns:
  the filter Pattern.

### getExtraPagesProvider

public Object getExtraPagesProvider()

Returns:
  an IPagesAfterTemplateSelectionProvider or null

### getProjectType

public String getProjectType()

Returns:
  the projectTypeIds

### getToolChainIds

public String[] getToolChainIds()

Returns:
  the toolChainIds

### setToolChainSet

public void setToolChainSet(Set<String> toolChainIdSet)

### getConfigurations

public List<?> getConfigurations()

### setConfigurations

public void setConfigurations(List<?> configs)

### isCategory

public boolean isCategory()

Returns:
  whether this template is a category

### getIcon

public String getIcon()

Returns:
  the icon image file name

### equals

public boolean equals(Object obj)
Checks whether two TemplateInfo object are equal.

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`